%global enable_tests 1
%global module_name registry-url

Name:           nodejs-%{module_name}
Version:        3.0.3
Release:        2%{?dist}
Summary:        Get the set npm registry URL

License:        MIT
URL:            https://github.com/sindresorhus/registry-url
Source0:        https://github.com/sindresorhus/registry-url/archive/v%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(require-uncached)
BuildRequires:  npm(mocha)
BuildRequires:  npm(rc)
%endif

%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules


%build
# nothing to build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha
%endif


%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Tom Hughes <tom@compton.nu> - 3.0.3-1
- Update to 3.0.3 upstream release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 04 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.1.0-2
- Fix rc update dependency

* Sun Jan 25 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.1.0-1
- update to 2.1.0 release

* Mon Dec 08 2014 Parag Nemade <pnemade AT redhat DOT com> - 2.0.0-2
- Enabled tests

* Thu Dec 04 2014 Parag Nemade <pnemade AT redhat DOT com> - 2.0.0-1
- Initial packaging

